title: order
type: object
description: Общие поля заявки
examples:
  - orderId: string
    pointId: string
    dateTimeFrom: '2019-08-24T14:15:22Z'
    dateTimeTo: '2019-08-24T14:15:22Z'
    isScheduled: false
    status:
      value: CREATED
      comment: string
      dateTime: '2019-08-24T14:15:22Z'
    createDateTime: '2019-08-24T14:15:22Z'
    arrivalDateTime: '2019-08-24T14:15:22Z'
    services:
      type: CASH_COLLECTION
      countDateTime: '2019-08-24T14:15:22Z'
      bags:
        - id: string
          expectedAmount: 0
          actualAmount: 0
          denominations:
            - condition: string
              value: 0
              count: 0
              currency: string
properties:
  orderId:
    type: string
    minLength: 1
    maxLength: 40
    description: Идентификатор заявки
  pointId:
    type: string
    description: Идентификатор точки
    readOnly: true
  dateTimeFrom:
    type: string
    format: date-time
    description: Дата и время начала заезда
    readOnly: true
  dateTimeTo:
    type: string
    format: date-time
    description: Дата и время окончания заезда
    readOnly: true
  isScheduled:
    type: boolean
    default: false
    description: Признак создания заявки по графику
  status:
    type: object
    description: Детализация данных по статусу
    properties:
      value:
        type: string
        enum:
          - CREATED
          - REJECTED
          - CANCELED
          - WAITING_FOR_COLLECTION
          - WAITING_FOR_COUNT
          - FAILED
          - DONE
        description: Значение статуса
        readOnly: true
      comment:
        type: string
        description: Комментарий к статусу
        readOnly: true
      dateTime:
        type: string
        format: date-time
        description: Дата и время перехода в данный статус
        readOnly: true
    readOnly: true
  createDateTime:
    type: string
    format: date-time
    description: Дата и время создания заявки в информационной системе Инкахран
    readOnly: true
  arrivalDateTime:
    type: string
    format: date-time
    description: Фактические дата и время заезда на точку
    readOnly: true
  services:
    description: Массив с данными сервиса по заявке
    anyOf:
      - $ref: ./service_cash_collection.yaml
      - $ref: ./service_exchange.yaml
required:
  - orderId
  - pointId
  - dateTimeFrom
  - dateTimeTo
